<?xml version="1.0"?>
<project name="DB2 install"  default="configureDB2"  >
	<taskdef name="dbInstall" classname="org.eclipse.aperi.install.DatabaseInstall" />
	<taskdef name="installCannedReports" classname="org.eclipse.aperi.install.InstallCannedReports" />
			
	<!-- Configure DB2 -->
	<target name="configureDB2" depends="">	
		<dbInstall dbType="db2" driverName="${db.driver}" hostname="${db.hostname}" port="${db.port}" username="${db.username}"
			password="${db.password.encrypted}" schemaPath="${basedir}/../db/schema" />
		<installCannedReports reportRepository="${server.reporting.dir}"
			cannedReportsArchive="${basedir}/../reporting/configuration/canned-reports.zip" dbDriver="${db.driver}"
			jdbcUrl="jdbc:${db.type}://${db.hostname}:${db.port}/${db.schema}" username="${db.username}" password="${db.password.encrypted}" />
		
	</target>

</project>